/***************************************************/
//TEMPERATUUR thermistor schakeling 16
//DS18B20
/***************************************************/ 
#include <OneWire.h>
#include <DallasTemperature.h>
#include <LiquidCrystal.h>
// zet S op poort 2
#define ONE_WIRE_BUS 2
// Setup a oneWire instance to communicate with any OneWire devices (not just Maxim/Dallas temperature ICs)
OneWire oneWire(ONE_WIRE_BUS);
// via oneWire reference naar Dallas Temperature. 
DallasTemperature sensors(&oneWire);
LiquidCrystal lcd(4, 5,9, 10, 11, 12);

void setup(void)
{
  lcd.begin(16, 2);
  // start seriele port
  Serial.begin(9600);
  Serial.println("Dallas Temperature IC Control Library Demo");
  // Start de library
  sensors.begin();
}
void loop(void)
{ 
  // roep sensors.requestTemperatures() aan  
  // vraag aan alle devices
  Serial.print("Requesting temperatures...");
  sensors.requestTemperatures(); // stuur signaal om temperatuur te achterhalen
  Serial.println("DONE");
  lcd.setCursor(0, 0);
  lcd.print("Tem: ");
  lcd.print(sensors.getTempCByIndex(0));//zet de temperatuur op lcd1602
  lcd.print(" C");
  lcd.setCursor(0, 1);
  lcd.print("Tem: ");
  lcd.print(sensors.getTempCByIndex(0) + 273.15);//zet temperatuur op lcd1602
  lcd.print(" F");
  Serial.print("Temperature for the device 1 (index 0) is: ");
  Serial.println(sensors.getTempCByIndex(0));  //zet temperatuur op seriel monitor
}
