/***************************************************/
//TEMPERATUUR thermistor schakeling 16
//analoog
/***************************************************/ 

#include <LiquidCrystal.h>
// initialiseer de library met de pins nodig voor de interface 1602
LiquidCrystal lcd(4, 5, 9, 10, 11, 12);

#define analogPin  A0 //hier zit de thermistor op
#define beta 4090 //de beta van de thermistor
#define resistance 10 //de waarde van de pull-down resistor

void setup()
{
  // zet de regels van de LCD op: 
  lcd.begin(16, 2);
  lcd.clear();
}

void loop()
{
  //lees thermistor waarde
  long a =1023 - analogRead(analogPin);
  //bereken de temperatuur
  float tempC = beta /(log((1025.0 * 10 / a - 10) / 10) + beta / 298.0) - 273.0;
  float tempF = tempC + 273.15;
  // zet  "Temp: "op de LCD.
  // zet de cursor op colom 0, regel 0
  lcd.setCursor(0, 0);
  lcd.print("Temp: ");
  // zet op de centigraad de temperatuur op de LCD.
  lcd.print(tempC);
  // zet de eenheid van de centigraad temperatuur op de LCD.
  lcd.print("  C");
  // cursor op colom 0, regel 1
  // (opmerking: regel 1 is de tweede rij, we tellen eerst met 0):
  lcd.setCursor(0, 1);
  lcd.print("Fahr: ");
  // zet Fahrenheit temperatuur op de LCD.
  lcd.print(tempF);
  // zet Fahrenheit temperature op de LCD.
  lcd.print(" F");
  delay(200); //wacht 100 milliseconden
}

